<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Godzilla: Monsters &amp; Protectors—All Hail the King!</Series>
  <Number>5</Number>
  <Web>https://www.amazon.com/dp/B0BJW2WGZC</Web>
  <Summary>It’s King Caesar and Godzilla vs. King Ghidorah for the fate of the world! Both humanity and the would-be conquerors, the Xiliens, are watching the battle with great interest. But even if Godzilla and King Caesar beat King Ghidorah, can they resist the urge to throw down with each other? Of course they can’t! The citizens of Tokyo still better hope their fight is a short one! All Hail the King ends here!</Summary>
  <Notes>Scraped metadata from Amazon [ASINB0BJW2WGZC]</Notes>
  <Publisher>IDW</Publisher>
  <Genre>Action/Adventure, Science Fiction, Movies &amp; TV</Genre>
  <PageCount>25</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
